<?php
namespace Podeli\Payment\Methods;


class Calculate extends BaseMethod
{
    private string $sum;

    const HTTP_METHOD = 'POST';

    const PATH = 'calculate';

    public function setSum(string $sum)
    {
        $this->sum = $sum;
        return $this;
    }

    public function getPath()
    {
        return static::PATH;
    }

    public function getData()
    {
        $data = [
            'sum' => $this->sum,
        ];

        return $data;
    }
}
